Subject: Re: customer said he did not deny to accept unit
From: Rosette Modiri <[email-masked]>
To: Yarngam Makan <[email-masked]>
Date: Mon, 17 Feb 2020 13:33:58 -0700 (MST)

Actually the unit is returning to us, item was refused. please check if the correct address is updated and as soon as we receive the unit back we can re-ship it 

From: "Yarngam Makan" <[email-masked]> 
To: "Rosette Modiri" <[email-masked]> 
Sent: Sunday, 16 February, 2020 04:30:32 
Subject: customer said he did not deny to accept unit 

CASE1438332 

according to the tracking number customer denied to accept the unit saying it was not fix.... 

then customer replied like this ---- I for sure did not refuse the delivery. What address was it sent to? I submitted a change of address for the delivery because I have moved so possible it was still sent to my old address. 
we have the correct address..... 
currently the unit is RTS to us..